# Interface methods for submodule: ChangeLabelImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: ChangeLabelImageFilter
class ChangeLabelImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def SetChange(self, original: int, result: int) -> None:
		""""""
		...

	def SetChangeMap(self, changeMap) -> None:
		""""""
		...

	def ClearChangeMap(self) -> None:
		""""""
		...

